serverAddr = "47.96.151.43"
serverPort = 7000



[[proxies]]
name = "tcp-redis"
type = "tcp"
localIP = "127.0.0.1"
localPort = 6379
remotePort = 6379

[[proxies]]
name = "http80"
type = "tcp"
localIP = "127.0.0.1"
localPort = 80
remotePort = 80

[[proxies]]
name = "test_htts2http"
type = "https"
customDomains = [
"xiaodingliu.niusenyun.com",
"xiaodingbackend.niusenyun.com",
"saasjing.niusenyun.com",
"massagejing.niusenyun.com",
"saasyin.niusenyun.com",
"mallyin.niusenyun.com",
"saas.niusenyun.com",
"saast.niusenyun.com",
"mall.niusenyun.com",
"mallt.niusenyun.com",
"massaget.niusenyun.com",
"massage.niusenyun.com",
"xdyin.niusenyun.com",
"xdjhyuser.niusenyun.com",
"xdt.niusenyun.com"
]


[proxies.plugin]
type = "https2http"
localAddr = "127.0.0.1:80"

# HTTPS 证书相关的配置
crtPath = "/root/frp/cert.pem"
keyPath = "/root/frp/key.pem"
#hostHeaderRewrite = "127.0.0.1"
requestHeaders.set.x-from-where = "frp"
